<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateJobsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: jobs
         */
        Schema::create('jobs', function ($table) {
            $table->increments('id');
            $table->string('name', 500)->nullable();
            $table->string('type', 200)->nullable();
            $table->text('desc')->nullable();
            $table->tinyInteger('status')->nullable();
            $table->timestamp('expiry_date')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('jobs');
    }
}
