<?php

namespace Litecms\Job;

use User;

class Job
{
    /**
     * $jobs object.
     */
    protected $jobs;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Job\Interfaces\JobsRepositoryInterface $jobs)
    {
        $this->jobs = $jobs;
    }

    /**
     * Returns count of job.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.jobs.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->jobs->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\JobsUserCriteria());
        }

        $jobs = $this->jobs->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('job::' . $view, compact('jobs'))->render();
    }
}
