<?php

namespace Litecms\Job\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class JobsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Job\Models\Jobs $jobs)
    {
        return [
            'id'                => $jobs->getRouteKey(),
            'key'               => [
                'public'    => $jobs->getPublicKey(),
                'route'     => $jobs->getRouteKey(),
            ], 
            'name'              => $jobs->name,
            'type'              => $jobs->type,
            'desc'              => $jobs->desc,
            'status'            => $jobs->status,
            'expiry_date'       => $jobs->expiry_date,
            'url'               => [
                'public'    => trans_url('job/'.$jobs->getPublicKey()),
                'user'      => guard_url('job/jobs/'.$jobs->getRouteKey()),
            ], 
            'status'            => trans('app.'.$jobs->status),
            'created_at'        => format_date($jobs->created_at),
            'updated_at'        => format_date($jobs->updated_at),
        ];
    }
}